# -*- coding: utf-8 -*-
# Generated by Django 1.11.27 on 2020-01-23 18:21
import archaeological_context_records.models
from django.conf import settings
import django.contrib.postgres.indexes
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('archaeological_operations', '0101_squashed'),
        ('ishtar_common', '0201_squashed'),
        ('archaeological_context_records', '0101_squashed'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.AddField(
            model_name='historicalcontextrecord',
            name='archaeological_site',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_operations.ArchaeologicalSite'),
        ),
        migrations.AddField(
            model_name='historicalcontextrecord',
            name='excavation_technic',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_context_records.ExcavationTechnicType'),
        ),
        migrations.AddField(
            model_name='historicalcontextrecord',
            name='history_creator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalcontextrecord',
            name='history_modifier',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalcontextrecord',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalcontextrecord',
            name='identification',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_context_records.IdentificationType'),
        ),
        migrations.AddField(
            model_name='historicalcontextrecord',
            name='lock_user',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalcontextrecord',
            name='main_image',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.Document'),
        ),
        migrations.AddField(
            model_name='historicalcontextrecord',
            name='operation',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_operations.Operation'),
        ),
        migrations.AddField(
            model_name='historicalcontextrecord',
            name='parcel',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_operations.Parcel'),
        ),
        migrations.AddField(
            model_name='historicalcontextrecord',
            name='spatial_reference_system',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.SpatialReferenceSystem'),
        ),
        migrations.AddField(
            model_name='historicalcontextrecord',
            name='town',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.Town'),
        ),
        migrations.AddField(
            model_name='historicalcontextrecord',
            name='unit',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_context_records.Unit'),
        ),
        migrations.AddField(
            model_name='dating',
            name='dating_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_context_records.DatingType', verbose_name='Dating type'),
        ),
        migrations.AddField(
            model_name='dating',
            name='period',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='archaeological_operations.Period', verbose_name='Period'),
        ),
        migrations.AddField(
            model_name='dating',
            name='quality',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_context_records.DatingQuality', verbose_name='Quality'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='activity',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_context_records.ActivityType', verbose_name='Activity'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='archaeological_site',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='context_records', to='archaeological_operations.ArchaeologicalSite', verbose_name='Archaeological site'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='datings',
            field=models.ManyToManyField(related_name='context_records', to='archaeological_context_records.Dating'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='documentations',
            field=models.ManyToManyField(blank=True, to='archaeological_context_records.DocumentationType'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='documents',
            field=models.ManyToManyField(blank=True, related_name='context_records', to='ishtar_common.Document', verbose_name='Documents'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='excavation_technic',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_context_records.ExcavationTechnicType', verbose_name='Excavation technique'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='history_creator',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Creator'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='history_modifier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Last editor'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='identification',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_context_records.IdentificationType', verbose_name='Identification'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='imports',
            field=models.ManyToManyField(blank=True, related_name='imported_archaeological_context_records_contextrecord', to='ishtar_common.Import'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='lock_user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Locked by'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='main_image',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='main_image_context_records', to='ishtar_common.Document', verbose_name='Main image'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='operation',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='context_record', to='archaeological_operations.Operation', verbose_name='Operation'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='parcel',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='context_record', to='archaeological_operations.Parcel', verbose_name='Parcel'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='related_context_records',
            field=models.ManyToManyField(blank=True, through='archaeological_context_records.RecordRelations', to='archaeological_context_records.ContextRecord'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='spatial_reference_system',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='ishtar_common.SpatialReferenceSystem', verbose_name='Spatial Reference System'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='town',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='context_record', to='ishtar_common.Town', verbose_name='Town'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='unit',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='archaeological_context_records.Unit', verbose_name='Context record type'),
        ),
        migrations.AddIndex(
            model_name='contextrecord',
            index=django.contrib.postgres.indexes.GinIndex(fields=['data'], name='archaeologi_data_1c3119_gin'),
        ),
    ]
