# Generated by Django 2.2.24 on 2024-04-26 15:37

from django.db import migrations, models


# on vanilla installation imports relations are already created on 0101_squashed
# via heritage -> ishtar_common.models.GeneralRecordRelations

DELETE_IMPORTS_RELATIONS = """
DROP TABLE IF EXISTS archaeological_context_records_recordrelations_imports;
DROP TABLE IF EXISTS archaeological_context_records_recordrelations_imports_updated;
ALTER TABLE archaeological_context_records_recordrelations DROP COLUMN IF EXISTS timestamp_geo;
ALTER TABLE archaeological_context_records_recordrelations DROP COLUMN IF EXISTS timestamp_label;
"""


class Migration(migrations.Migration):

    dependencies = [
        ('ishtar_common', '0245_verbose_names'),
        ('archaeological_context_records', '0115_auto_20240213_1708'),
    ]

    operations = [
        migrations.RunSQL(DELETE_IMPORTS_RELATIONS),
        migrations.AddField(
            model_name='recordrelations',
            name='imports',
            field=models.ManyToManyField(blank=True, related_name='imported_archaeological_context_records_recordrelations', to='ishtar_common.Import', verbose_name='Created by imports'),
        ),
        migrations.AddField(
            model_name='recordrelations',
            name='imports_updated',
            field=models.ManyToManyField(blank=True, related_name='import_updated_archaeological_context_records_recordrelations', to='ishtar_common.Import', verbose_name='Updated by imports'),
        ),
        migrations.AddField(
            model_name='recordrelations',
            name='timestamp_geo',
            field=models.IntegerField(blank=True, null=True, verbose_name='Timestamp geo'),
        ),
        migrations.AddField(
            model_name='recordrelations',
            name='timestamp_label',
            field=models.IntegerField(blank=True, null=True, verbose_name='Timestamp label'),
        ),
        migrations.AlterField(
            model_name='contextrecord',
            name='imports',
            field=models.ManyToManyField(blank=True, related_name='imported_archaeological_context_records_contextrecord', to='ishtar_common.Import', verbose_name='Created by imports'),
        ),
        migrations.AlterField(
            model_name='contextrecord',
            name='imports_updated',
            field=models.ManyToManyField(blank=True, related_name='import_updated_archaeological_context_records_contextrecord', to='ishtar_common.Import', verbose_name='Updated by imports'),
        ),
        migrations.AlterField(
            model_name='dating',
            name='precise_dating',
            field=models.TextField(blank=True, default='', verbose_name='Precise on this dating'),
        ),
    ]
