# Generated by Django 2.2.24 on 2022-07-11 10:25

import datetime
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('ishtar_common', '0220_auto_20220707_1633'),
        ('archaeological_operations', '0108_auto_20220711_0112'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='parcel',
            options={'ordering': ('town', 'year', 'section', 'parcel_number'), 'verbose_name': 'Parcel', 'verbose_name_plural': 'Parcels'},
        ),
        migrations.AddField(
            model_name='archaeologicalsite',
            name='geodata',
            field=models.ManyToManyField(blank=True, related_name='related_items_archaeological_operations_archaeologicalsite', to='ishtar_common.GeoVectorData'),
        ),
        migrations.AddField(
            model_name='archaeologicalsite',
            name='main_geodata',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='main_related_items_archaeological_operations_archaeologicalsite', to='ishtar_common.GeoVectorData'),
        ),
        migrations.AddField(
            model_name='historicalarchaeologicalsite',
            name='main_geodata',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.GeoVectorData'),
        ),
        migrations.AddField(
            model_name='historicaloperation',
            name='main_geodata',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.GeoVectorData'),
        ),
        migrations.AddField(
            model_name='operation',
            name='geodata',
            field=models.ManyToManyField(blank=True, related_name='related_items_archaeological_operations_operation', to='ishtar_common.GeoVectorData'),
        ),
        migrations.AddField(
            model_name='operation',
            name='main_geodata',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='main_related_items_archaeological_operations_operation', to='ishtar_common.GeoVectorData'),
        ),
        migrations.AlterField(
            model_name='administrativeact',
            name='act_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='archaeological_operations.ActType', verbose_name='Act type'),
        ),
        migrations.AlterField(
            model_name='administrativeact',
            name='data',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='administrativeact',
            name='history_m2m',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='administrativeact',
            name='in_charge',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='adminact_operation_in_charge', to='ishtar_common.Person', verbose_name='Scientific monitor'),
        ),
        migrations.AlterField(
            model_name='administrativeact',
            name='last_modified',
            field=models.DateTimeField(blank=True, default=datetime.datetime.now),
        ),
        migrations.AlterField(
            model_name='archaeologicalsite',
            name='data',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='archaeologicalsite',
            name='history_m2m',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='archaeologicalsite',
            name='last_modified',
            field=models.DateTimeField(blank=True, default=datetime.datetime.now),
        ),
        migrations.AlterField(
            model_name='archaeologicalsite',
            name='spatial_reference_system',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='ishtar_common.SpatialReferenceSystem', verbose_name='Spatial Reference System'),
        ),
        migrations.AlterField(
            model_name='historicaladministrativeact',
            name='data',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='historicaladministrativeact',
            name='history_m2m',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='historicaladministrativeact',
            name='in_charge',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.Person', verbose_name='Scientific monitor'),
        ),
        migrations.AlterField(
            model_name='historicaladministrativeact',
            name='last_modified',
            field=models.DateTimeField(blank=True, default=datetime.datetime.now),
        ),
        migrations.AlterField(
            model_name='historicalarchaeologicalsite',
            name='data',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='historicalarchaeologicalsite',
            name='history_m2m',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='historicalarchaeologicalsite',
            name='last_modified',
            field=models.DateTimeField(blank=True, default=datetime.datetime.now),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='data',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='history_m2m',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='in_charge',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.Person', verbose_name='Operation monitor'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='last_modified',
            field=models.DateTimeField(blank=True, default=datetime.datetime.now),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='scientist',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.Person', verbose_name='Scientific manager'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='applicant_authority',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='operation_applicant_authority', to='ishtar_common.Organization', verbose_name='Applicant authority'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='data',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='operation',
            name='history_m2m',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='operation',
            name='in_charge',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='operation_monitoring', to='ishtar_common.Person', verbose_name='Operation monitor'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='last_modified',
            field=models.DateTimeField(blank=True, default=datetime.datetime.now),
        ),
        migrations.AlterField(
            model_name='operation',
            name='minutes_writer',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='minutes_writer', to='ishtar_common.Person', verbose_name='Writer of the minutes'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='operation_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='ishtar_common.OperationType', verbose_name='Operation type'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='protagonist',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='operation_protagonist', to='ishtar_common.Person', verbose_name='Name of the protagonist'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='scientist',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='operation_scientist_responsability', to='ishtar_common.Person', verbose_name='Scientific manager'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='spatial_reference_system',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='ishtar_common.SpatialReferenceSystem', verbose_name='Spatial Reference System'),
        ),
        migrations.AlterField(
            model_name='parcel',
            name='data',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='parcel',
            name='history_m2m',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='parcel',
            name='last_modified',
            field=models.DateTimeField(blank=True, default=datetime.datetime.now),
        ),
        migrations.AlterField(
            model_name='parcel',
            name='town',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='parcels', to='ishtar_common.Town', verbose_name='Town'),
        ),
        migrations.AlterField(
            model_name='parcelowner',
            name='data',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='parcelowner',
            name='history_m2m',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='parcelowner',
            name='last_modified',
            field=models.DateTimeField(blank=True, default=datetime.datetime.now),
        ),
        migrations.AlterField(
            model_name='parcelowner',
            name='owner',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='parcel_owner', to='ishtar_common.Person', verbose_name='Owner'),
        ),
        migrations.AlterField(
            model_name='recordrelations',
            name='relation_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='archaeological_operations.RelationType'),
        ),
        migrations.AlterField(
            model_name='relationtype',
            name='inverse_relation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_operations.RelationType', verbose_name='Inverse relation'),
        ),
    ]
