# Generated by Django 2.2.24 on 2024-09-19 16:27

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import ishtar_common.models_common
import re


class Migration(migrations.Migration):

    dependencies = [
        ('ishtar_common', '0249_town_notice'),
        ('archaeological_operations', '0118_operator_reference_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='InterpretationLevelType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.TextField(verbose_name='Label')),
                ('txt_idx', models.TextField(help_text='The slug is the standardized version of the name. It contains only lowercase letters, numbers and hyphens. Each slug must be unique.', unique=True, validators=[django.core.validators.RegexValidator(re.compile('^[-a-zA-Z0-9_]+\\Z'), "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens.", 'invalid')], verbose_name='Textual ID')),
                ('comment', models.TextField(blank=True, default='', verbose_name='Comment')),
                ('available', models.BooleanField(default=True, verbose_name='Available')),
                ('order', models.IntegerField(default=10, verbose_name='Order')),
            ],
            options={
                'verbose_name': 'Interpretation level type',
                'verbose_name_plural': 'Interpretation level types',
                'ordering': ('order', 'label'),
            },
            bases=(ishtar_common.models_common.Cached, models.Model),
        ),
        migrations.CreateModel(
            name='NatureOfSiteType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.TextField(verbose_name='Label')),
                ('txt_idx', models.TextField(help_text='The slug is the standardized version of the name. It contains only lowercase letters, numbers and hyphens. Each slug must be unique.', unique=True, validators=[django.core.validators.RegexValidator(re.compile('^[-a-zA-Z0-9_]+\\Z'), "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens.", 'invalid')], verbose_name='Textual ID')),
                ('comment', models.TextField(blank=True, default='', verbose_name='Comment')),
                ('available', models.BooleanField(default=True, verbose_name='Available')),
                ('order', models.IntegerField(default=10, verbose_name='Order')),
            ],
            options={
                'verbose_name': 'Nature of site type',
                'verbose_name_plural': 'Nature of site types',
                'ordering': ('order', 'label'),
            },
            bases=(ishtar_common.models_common.Cached, models.Model),
        ),
        migrations.CreateModel(
            name='SiteCurrentStatusType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.TextField(verbose_name='Label')),
                ('txt_idx', models.TextField(help_text='The slug is the standardized version of the name. It contains only lowercase letters, numbers and hyphens. Each slug must be unique.', unique=True, validators=[django.core.validators.RegexValidator(re.compile('^[-a-zA-Z0-9_]+\\Z'), "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens.", 'invalid')], verbose_name='Textual ID')),
                ('comment', models.TextField(blank=True, default='', verbose_name='Comment')),
                ('available', models.BooleanField(default=True, verbose_name='Available')),
                ('order', models.IntegerField(default=10, verbose_name='Order')),
            ],
            options={
                'verbose_name': 'Current status type',
                'verbose_name_plural': 'Current status types',
                'ordering': ('order', 'label'),
            },
            bases=(ishtar_common.models_common.Cached, models.Model),
        ),
        migrations.CreateModel(
            name='SiteDiscoveryStatusType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.TextField(verbose_name='Label')),
                ('txt_idx', models.TextField(help_text='The slug is the standardized version of the name. It contains only lowercase letters, numbers and hyphens. Each slug must be unique.', unique=True, validators=[django.core.validators.RegexValidator(re.compile('^[-a-zA-Z0-9_]+\\Z'), "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens.", 'invalid')], verbose_name='Textual ID')),
                ('comment', models.TextField(blank=True, default='', verbose_name='Comment')),
                ('available', models.BooleanField(default=True, verbose_name='Available')),
                ('order', models.IntegerField(default=10, verbose_name='Order')),
            ],
            options={
                'verbose_name': 'Discovery status type',
                'verbose_name_plural': 'Discovery status types',
                'ordering': ('order', 'label'),
            },
            bases=(ishtar_common.models_common.Cached, models.Model),
        ),
        migrations.AlterModelOptions(
            name='culturalattributiontype',
            options={'ordering': ('order', 'label'), 'verbose_name': 'Cultural attribution type', 'verbose_name_plural': 'Cultural attribution types'},
        ),
        migrations.AlterModelOptions(
            name='period',
            options={'ordering': ('order', 'label'), 'verbose_name': 'Type Period', 'verbose_name_plural': 'Types Period'},
        ),
        migrations.AlterModelOptions(
            name='recordqualitytype',
            options={'ordering': ('order', 'label'), 'verbose_name': 'Type of record quality', 'verbose_name_plural': 'Types of record quality'},
        ),
        migrations.AlterModelOptions(
            name='reportstate',
            options={'ordering': ('order', 'label'), 'verbose_name': 'Type of report state', 'verbose_name_plural': 'Types of report state'},
        ),
        migrations.AddField(
            model_name='archaeologicalsite',
            name='description',
            field=models.TextField(blank=True, default='', verbose_name='Description'),
        ),
        migrations.AddField(
            model_name='archaeologicalsite',
            name='discoverer',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='ishtar_common.Person', verbose_name='Discoverer'),
        ),
        migrations.AddField(
            model_name='archaeologicalsite',
            name='precise_locality',
            field=models.TextField(blank=True, default='', verbose_name='Precise locality'),
        ),
        migrations.AddField(
            model_name='archaeologicalsite',
            name='public_description',
            field=models.TextField(blank=True, default='', verbose_name='Public description'),
        ),
        migrations.AddField(
            model_name='historicalarchaeologicalsite',
            name='description',
            field=models.TextField(blank=True, default='', verbose_name='Description'),
        ),
        migrations.AddField(
            model_name='historicalarchaeologicalsite',
            name='discoverer',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.Person', verbose_name='Discoverer'),
        ),
        migrations.AddField(
            model_name='historicalarchaeologicalsite',
            name='precise_locality',
            field=models.TextField(blank=True, default='', verbose_name='Precise locality'),
        ),
        migrations.AddField(
            model_name='historicalarchaeologicalsite',
            name='public_description',
            field=models.TextField(blank=True, default='', verbose_name='Public description'),
        ),
        migrations.AlterField(
            model_name='administrativeact',
            name='scientist',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='adminact_scientist', to='ishtar_common.Person', verbose_name='Head scientist'),
        ),
        migrations.AlterField(
            model_name='historicaladministrativeact',
            name='scientist',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.Person', verbose_name='Head scientist'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='in_charge',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.Person', verbose_name='Scientific monitor'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='scientist',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.Person', verbose_name='Head scientist'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='in_charge',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='operation_monitoring', to='ishtar_common.Person', verbose_name='Scientific monitor'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='scientist',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='operation_scientist_responsability', to='ishtar_common.Person', verbose_name='Head scientist'),
        ),
        migrations.CreateModel(
            name='SiteType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.TextField(verbose_name='Label')),
                ('txt_idx', models.TextField(help_text='The slug is the standardized version of the name. It contains only lowercase letters, numbers and hyphens. Each slug must be unique.', unique=True, validators=[django.core.validators.RegexValidator(re.compile('^[-a-zA-Z0-9_]+\\Z'), "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens.", 'invalid')], verbose_name='Textual ID')),
                ('comment', models.TextField(blank=True, default='', verbose_name='Comment')),
                ('available', models.BooleanField(default=True, verbose_name='Available')),
                ('order', models.IntegerField(default=10, verbose_name='Order')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_operations.SiteType', verbose_name='Parent')),
            ],
            options={
                'verbose_name': 'Site type',
                'verbose_name_plural': 'Site types',
                'ordering': ('order', 'label'),
            },
            bases=(ishtar_common.models_common.Cached, models.Model),
        ),
        migrations.AddField(
            model_name='archaeologicalsite',
            name='current_status',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_operations.SiteCurrentStatusType', verbose_name='Current status'),
        ),
        migrations.AddField(
            model_name='archaeologicalsite',
            name='discovery_status',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_operations.SiteDiscoveryStatusType', verbose_name='Discovery status'),
        ),
        migrations.AddField(
            model_name='archaeologicalsite',
            name='interpretation_level',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_operations.InterpretationLevelType', verbose_name='Interpretation level'),
        ),
        migrations.AddField(
            model_name='archaeologicalsite',
            name='nature_of_site',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_operations.NatureOfSiteType', verbose_name='Nature of site'),
        ),
        migrations.AddField(
            model_name='archaeologicalsite',
            name='types',
            field=models.ManyToManyField(blank=True, to='archaeological_operations.SiteType', verbose_name='Types'),
        ),
        migrations.AddField(
            model_name='historicalarchaeologicalsite',
            name='current_status',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_operations.SiteCurrentStatusType', verbose_name='Current status'),
        ),
        migrations.AddField(
            model_name='historicalarchaeologicalsite',
            name='discovery_status',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_operations.SiteDiscoveryStatusType', verbose_name='Discovery status'),
        ),
        migrations.AddField(
            model_name='historicalarchaeologicalsite',
            name='interpretation_level',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_operations.InterpretationLevelType', verbose_name='Interpretation level'),
        ),
        migrations.AddField(
            model_name='historicalarchaeologicalsite',
            name='nature_of_site',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_operations.NatureOfSiteType', verbose_name='Nature of site'),
        ),
    ]
