# Generated by Django 2.2.24 on 2024-10-21 19:18

from django.db import migrations, models
import django.db.models.deletion
import ishtar_common.utils


class Migration(migrations.Migration):

    dependencies = [
        ('ishtar_common', '0254_permissionrequests'),
        ('archaeological_operations', '0120_data_site_status_nature_interpretation'),
    ]

    operations = [
        migrations.AddField(
            model_name='administrativeact',
            name='ishtar_users',
            field=models.ManyToManyField(blank=True, related_name='administrativeact_permission_associated', to='ishtar_common.IshtarUser'),
        ),
        migrations.AddField(
            model_name='archaeologicalsite',
            name='ishtar_users',
            field=models.ManyToManyField(blank=True, related_name='archaeologicalsite_permission_associated', to='ishtar_common.IshtarUser'),
        ),
        migrations.AddField(
            model_name='operation',
            name='ishtar_users',
            field=models.ManyToManyField(blank=True, related_name='operation_permission_associated', to='ishtar_common.IshtarUser'),
        ),
        migrations.AddField(
            model_name='parcel',
            name='ishtar_users',
            field=models.ManyToManyField(blank=True, related_name='parcel_permission_associated', to='ishtar_common.IshtarUser'),
        ),
        migrations.AddField(
            model_name='parcelowner',
            name='ishtar_users',
            field=models.ManyToManyField(blank=True, related_name='parcelowner_permission_associated', to='ishtar_common.IshtarUser'),
        ),
        migrations.AlterField(
            model_name='archaeologicalsite',
            name='discoverer',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='site_discovered', to='ishtar_common.Person', verbose_name='Discoverer'),
        ),
        migrations.AlterField(
            model_name='archaeologicalsite',
            name='precise_locality',
            field=models.TextField(blank=True, default='', verbose_name='Address'),
        ),
        migrations.AlterField(
            model_name='historicalarchaeologicalsite',
            name='precise_locality',
            field=models.TextField(blank=True, default='', verbose_name='Address'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='relation_bitmap_image',
            field=models.TextField(blank=True, help_text=ishtar_common.utils.max_size_help, max_length=100, null=True, verbose_name='Generated relation image (PNG)'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='relation_bitmap_image_above',
            field=models.TextField(blank=True, help_text=ishtar_common.utils.max_size_help, max_length=100, null=True, verbose_name='Generated above relation image (PNG)'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='relation_bitmap_image_below',
            field=models.TextField(blank=True, help_text=ishtar_common.utils.max_size_help, max_length=100, null=True, verbose_name='Generated below relation image (PNG)'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='relation_dot',
            field=models.TextField(blank=True, help_text=ishtar_common.utils.max_size_help, max_length=100, null=True, verbose_name='Generated relation image (DOT)'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='relation_dot_above',
            field=models.TextField(blank=True, help_text=ishtar_common.utils.max_size_help, max_length=100, null=True, verbose_name='Generated above relation image (DOT)'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='relation_dot_below',
            field=models.TextField(blank=True, help_text=ishtar_common.utils.max_size_help, max_length=100, null=True, verbose_name='Generated below relation image (DOT)'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='relation_image',
            field=models.TextField(blank=True, help_text=ishtar_common.utils.max_size_help, max_length=100, null=True, verbose_name='Generated relation image (SVG)'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='relation_image_above',
            field=models.TextField(blank=True, help_text=ishtar_common.utils.max_size_help, max_length=100, null=True, verbose_name='Generated above relation image (SVG)'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='relation_image_below',
            field=models.TextField(blank=True, help_text=ishtar_common.utils.max_size_help, max_length=100, null=True, verbose_name='Generated below relation image (SVG)'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='relation_bitmap_image',
            field=models.FileField(blank=True, help_text=ishtar_common.utils.max_size_help, null=True, upload_to=ishtar_common.utils.get_image_path, verbose_name='Generated relation image (PNG)'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='relation_bitmap_image_above',
            field=models.FileField(blank=True, help_text=ishtar_common.utils.max_size_help, null=True, upload_to=ishtar_common.utils.get_image_path, verbose_name='Generated above relation image (PNG)'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='relation_bitmap_image_below',
            field=models.FileField(blank=True, help_text=ishtar_common.utils.max_size_help, null=True, upload_to=ishtar_common.utils.get_image_path, verbose_name='Generated below relation image (PNG)'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='relation_dot',
            field=models.FileField(blank=True, help_text=ishtar_common.utils.max_size_help, null=True, upload_to=ishtar_common.utils.get_image_path, verbose_name='Generated relation image (DOT)'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='relation_dot_above',
            field=models.FileField(blank=True, help_text=ishtar_common.utils.max_size_help, null=True, upload_to=ishtar_common.utils.get_image_path, verbose_name='Generated above relation image (DOT)'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='relation_dot_below',
            field=models.FileField(blank=True, help_text=ishtar_common.utils.max_size_help, null=True, upload_to=ishtar_common.utils.get_image_path, verbose_name='Generated below relation image (DOT)'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='relation_image',
            field=models.FileField(blank=True, help_text=ishtar_common.utils.max_size_help, null=True, upload_to=ishtar_common.utils.get_image_path, verbose_name='Generated relation image (SVG)'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='relation_image_above',
            field=models.FileField(blank=True, help_text=ishtar_common.utils.max_size_help, null=True, upload_to=ishtar_common.utils.get_image_path, verbose_name='Generated above relation image (SVG)'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='relation_image_below',
            field=models.FileField(blank=True, help_text=ishtar_common.utils.max_size_help, null=True, upload_to=ishtar_common.utils.get_image_path, verbose_name='Generated below relation image (SVG)'),
        ),
        migrations.AlterField(
            model_name='administrativeact',
            name='ishtar_users',
            field=models.ManyToManyField(blank=True, related_name='administrativeact_associated', to='ishtar_common.IshtarUser'),
        ),
        migrations.AlterField(
            model_name='archaeologicalsite',
            name='ishtar_users',
            field=models.ManyToManyField(blank=True, related_name='archaeologicalsite_associated', to='ishtar_common.IshtarUser'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='ishtar_users',
            field=models.ManyToManyField(blank=True, related_name='operation_associated', to='ishtar_common.IshtarUser'),
        ),
        migrations.AlterField(
            model_name='parcel',
            name='ishtar_users',
            field=models.ManyToManyField(blank=True, related_name='parcel_associated', to='ishtar_common.IshtarUser'),
        ),
        migrations.AlterField(
            model_name='parcelowner',
            name='ishtar_users',
            field=models.ManyToManyField(blank=True, related_name='parcelowner_associated', to='ishtar_common.IshtarUser'),
        ),
    ]
