# Generated by Django 2.2.24 on 2022-08-23 19:35

import django.contrib.gis.db.models.fields
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import ishtar_common.models_common
import re


class Migration(migrations.Migration):

    dependencies = [
        ('ishtar_common', '0220_auto_20220707_1633'),
    ]

    operations = [
        migrations.CreateModel(
            name='GeoBufferType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.TextField(verbose_name='Label')),
                ('txt_idx', models.TextField(help_text='The slug is the standardized version of the name. It contains only lowercase letters, numbers and hyphens. Each slug must be unique.', unique=True, validators=[django.core.validators.RegexValidator(re.compile('^[-a-zA-Z0-9_]+\\Z'), "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens.", 'invalid')], verbose_name='Textual ID')),
                ('comment', models.TextField(blank=True, default='', verbose_name='Comment')),
                ('available', models.BooleanField(default=True, verbose_name='Available')),
                ('order', models.IntegerField(default=10, verbose_name='Order')),
            ],
            options={
                'verbose_name': 'Geographic - Buffer type',
                'verbose_name_plural': 'Geographic - Buffer types',
                'ordering': ('order', 'label'),
            },
            bases=(ishtar_common.models_common.Cached, models.Model),
        ),
        migrations.AlterModelOptions(
            name='jsondatafield',
            options={'ordering': ['order', 'name'], 'verbose_name': 'Custom data - Field', 'verbose_name_plural': 'Custom data - Fields'},
        ),
        migrations.AlterModelOptions(
            name='jsondatasection',
            options={'ordering': ['order', 'name'], 'verbose_name': 'Custom data - Menu', 'verbose_name_plural': 'Custom data - Menus'},
        ),
        migrations.AddField(
            model_name='geovectordata',
            name='buffer',
            field=models.FloatField(blank=True, null=True, verbose_name='Buffer'),
        ),
        migrations.AlterField(
            model_name='apisearchmodel',
            name='limit_query',
            field=models.TextField(blank=True, help_text='Search query add to each request', null=True, verbose_name='Filter query'),
        ),
        migrations.AlterField(
            model_name='geovectordata',
            name='multi_line',
            field=django.contrib.gis.db.models.fields.MultiLineStringField(blank=True, null=True, srid=4326, verbose_name='Multi lines'),
        ),
        migrations.AlterField(
            model_name='geovectordata',
            name='multi_polygon',
            field=django.contrib.gis.db.models.fields.MultiPolygonField(blank=True, null=True, srid=4326, verbose_name='Multi polygons'),
        ),
        migrations.AlterField(
            model_name='geovectordata',
            name='origin',
            field=models.ForeignKey(blank=True, help_text='For instance: topographical survey, georeferencing, ...', null=True, on_delete=django.db.models.deletion.PROTECT, to='ishtar_common.GeoOriginType', verbose_name='Origin'),
        ),
        migrations.AlterField(
            model_name='import',
            name='encoding',
            field=models.CharField(choices=[('windows-1252', 'windows-1252'), ('ISO-8859-15', 'ISO-8859-15'), ('utf-8', 'utf-8')], default='utf-8', help_text='Only required for CSV file', max_length=15, verbose_name='Encoding'),
        ),
        migrations.AlterField(
            model_name='import',
            name='importer_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ishtar_common.ImporterType', verbose_name='Importer type'),
        ),
        migrations.AlterField(
            model_name='importertype',
            name='is_main_geometry',
            field=models.BooleanField(default=True, help_text='Only relevant for GIS files', verbose_name='Set as main geometry'),
        ),
        migrations.AlterField(
            model_name='jsondatafield',
            name='section',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='json_data_field', to='ishtar_common.JsonDataSection'),
        ),
        migrations.AddField(
            model_name='geovectordata',
            name='buffer_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='ishtar_common.GeoBufferType'),
        ),
    ]
